#include <stdio.h>
#include <stdlib.h>

int main()
{
    int V, Vukbroj_novcanica=0;
    scanf("%d", &V);
    while(V!=0)
    {
        switch(V%10)
        {
            case 1: case 2: case 5: Vukbroj_novcanica++; break;
            case 3: case 4: case 6: case 7: Vukbroj_novcanica+=2; break;
            case 8: case 9: Vukbroj_novcanica+=3; break;
        }
        V/=10;
    }
    printf("Bice potrebno %d novcanica/e.", Vukbroj_novcanica);
}